import { Controller, CustomElement, IAurelia, } from 'aurelia';
export function createCustomElement(component, container, host, values) {
    const instance = container.get(component);
    Object.assign(instance, values);
    const definition = CustomElement.getDefinition(component);
    const controller = Controller.$el(container, instance, host ?? container.get(IAurelia).root.host, null, definition);
    void controller.activate(controller, null, controller.scope);
    return { instance, controller, definition };
}
export const destroyCustomElement = async (controller) => {
    await controller.activate(controller, null);
    controller.dispose();
};
//# sourceMappingURL=aurelia-helpers.js.map