export const numberToPixels = (value) => {
    if (!value)
        return value;
    if (typeof value === 'string' && value.trim().includes(' ')) {
        value
            .trim()
            .split(' ')
            .map((x) => numberToPixels(x))
            .join(' ');
    }
    if (isNaN(Number(value)))
        return String(value);
    return `${value}px`;
};
export function numberToPixelsInterceptor(value) {
    return numberToPixels(value);
}
export function gridTemplateRowSetter(value) {
    if (!value)
        return value;
    if (!isNaN(Number(value)))
        return `repeat(${value}, 1fr)`;
    return value;
}
export function gridTemplateRowSetterInterceptor(value) {
    return gridTemplateRowSetter(value);
}
export function ifExistsThenTrue(value) {
    return value !== 'false' && (value === '' || value);
}
export function uid() {
    return Math.random().toString(36).substring(2);
}
export function noop(e) {
    e.stopImmediatePropagation();
    e.preventDefault();
    return false;
}
export const standardCapturesToIgnore = ['ripple', 'animate', 'slot', 'part', 'style', 'class', 'ref', 't', 'id', 'show'];
export const captureFilter = (attr) => {
    if (attr.trim() === '')
        return false;
    return !standardCapturesToIgnore.includes(attr);
};
export function assignDefined(target, ...sources) {
    const sourcesArray = sources;
    const targetObj = target;
    sourcesArray.forEach((source) => {
        Object.keys(source).forEach((key) => {
            const val = source[key];
            if (val !== undefined) {
                targetObj[key] = val;
            }
        });
    });
}
export function getColorByType(type) {
    switch (type) {
        case 'danger':
            return 'var(--error)';
        case 'dark':
            return 'var(--dark)';
        case 'info':
            return 'var(--info)';
        case 'primary':
            return 'var(--primary)';
        case 'secondary':
            return 'var(--dark-coral-700)';
        case 'success':
            return 'var(--success)';
        case 'warning':
            return 'var(--warning)';
    }
    return '';
}
//# sourceMappingURL=common.js.map