import { __decorate, __metadata } from "tslib";
import { bindable, containerless, } from 'aurelia';
import { MDCSelect } from '@material/select';
let MooSelect = class MooSelect {
    label;
    options;
    value;
    class;
    required;
    readonly;
    selectEl;
    attached() {
        const select = new MDCSelect(this.selectEl);
        if (this.readonly) {
            select.disabled = true;
        }
        if (typeof this.value != 'undefined') {
            select.value = this.value?.toString();
        }
        select.listen('MDCSelect:change', () => {
            if (typeof (this.value) == 'number') {
                return this.value = parseInt(select.value);
            }
            this.value = select.value;
        });
    }
    get requiredClass() {
        if (this.required) {
            return 'mdc-select--required';
        }
    }
};
__decorate([
    bindable,
    __metadata("design:type", Object)
], MooSelect.prototype, "label", void 0);
__decorate([
    bindable,
    __metadata("design:type", Object)
], MooSelect.prototype, "options", void 0);
__decorate([
    bindable({ mode: 6 /* BindingMode.twoWay */ }),
    __metadata("design:type", Object)
], MooSelect.prototype, "value", void 0);
__decorate([
    bindable,
    __metadata("design:type", Object)
], MooSelect.prototype, "class", void 0);
__decorate([
    bindable,
    __metadata("design:type", Boolean)
], MooSelect.prototype, "required", void 0);
__decorate([
    bindable,
    __metadata("design:type", Boolean)
], MooSelect.prototype, "readonly", void 0);
MooSelect = __decorate([
    containerless()
], MooSelect);
export { MooSelect };
//# sourceMappingURL=moo-select.js.map